#include "def.h"

/*
   Funcin ordenar
   ordena arreglo de menor a mayor
   usando algoritmo Insertion Sort

   A[] : arreglo desordenado
   n   : largo del arreglo
*/
int ordenar (int A[] , long n)
{
	/* llamado a Insertion Sort */
	insertionSort (A , n);

	return 0;
}

/*
   Funcin Insertion Sort

   A[] : arreglo desordenado
   n   : largo del arreglo
*/
int insertionSort (int A[] , long n)
{
 int j, i;	/* iteraciones */
 int key;	/* variable auxiliar  */

 /* proceso de ordenamiento */
 for (j = 1 ; j < n ; j++)
 {
    key = A[j];
 	i = j - 1;

 	while ((0 <= i) && (key < A[i]))
 	{
 	    A[i+1] = A[i];
 		i--;
 	}

    A[i+1] = key;
 }

 return 0;
}
